<template>
  <b-col class="mt-4">
    <div class="arrow">
      <div :class="drawLine(status)"></div>
      <div :class="drawArrow(value, status)"></div>
      <div :class="drawCircle()" v-b-tooltip.hover :title="getStatus(value)" :style="setMargin(value)"></div>
    </div>
  </b-col>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "LineFly",
  props: {
    value: Number,
    status: String
  },
  data() {
    return {
    };
  },
  methods: {
    drawLine(status: string) {
      if (status == 'offline') {
        return 'dashed-line'
      }
      return 'line'
    },
    drawArrow(value: number, status: string) {
      if (status == 'offline') {
        return ''
      }
      return value >= 51? 'arrow-left' : 'arrow-right'
    },
    getStatus(value: number) {
      return value >= 51? 'COMING' : 'GOING'
    },
    drawCircle() {
      if (this.status == 'offline') {
        return ''
      }
      return 'circle'
    },
    setMargin(value: number){
      const right = value + 'px;'
      const style = `margin: 4px ${right}`
      return style
    }
  },
});
</script>

<style scoped>
.line {
  margin-top: 8px;
  width: 150px;
  background: #2a95f3;
  height: 2px;
  float: left;
}

.dashed-line {
  margin-top: 8px;
  width: 150px;
  border: dashed 1px #2a95f3;
  float: left;
}

.arrow-right {
  margin: 4px auto;
  width: 0;
  height: 0;

  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 10px solid  #2a95f3;

  position: absolute;
  margin-left: 150px;
  float: right;
}

.arrow-left {
  margin: 4px 10px;
  width: 0;
  height: 0;

  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent; 
  border-right:10px solid  #2a95f3; 

  position: absolute;
  margin-left: -10px;
  float: left;
}

.circle {
  z-index: 999;
  /* margin: 4px auto; */
  position: absolute;
  border: 2px solid #2a95f3;
  background: white;
  height: 10px;
  width: 10px;
  border-radius: 50%;
  
}
</style>
